commit:     9805b4dc38247d4aeae4e8ca7dc5f5bddce03a86
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 27 03:54:59 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 27 04:17:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9805b4dc

dev-python/pytest-testinfra: Bump to 10.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-testinfra/Manifest               |  1 +
 .../pytest-testinfra-10.1.1.ebuild                 | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/pytest-testinfra/Manifest 
b/dev-python/pytest-testinfra/Manifest
index 1d5362a19cbf..400eb874ad04 100644
--- a/dev-python/pytest-testinfra/Manifest
+++ b/dev-python/pytest-testinfra/Manifest
@@ -1 +1,2 @@
 DIST pytest-testinfra-10.1.0.tar.gz 85117 BLAKE2B 
3db43661def60ef9627bd888b92f409886f2d6f1ae1306a8d46bbcbe3363cf5ae9e79f9fab49f0d0f8d6529d677a40db04fc68597d0d11e0285a7e27a01283fb
 SHA512 
98003ab250c06fc69ff015fc53af87aa642109866a86bdd679cc8876db614660f11f79c3146aef10c7b8f47723a13777cbad07276af661986129a5d0bfc11e1b
+DIST pytest-testinfra-10.1.1.tar.gz 86567 BLAKE2B 
b9dd9ea4023b1b7d9399615fbf6493efb094ec7f2478f65b46118173f6b20f545b645d06f20b42544325d68a917812a55f902ca28774b8ffb8743ac8182c3970
 SHA512 
6173937b03eaefb84a95b6fca616092ea0649f880fd1bccef6364f338b859bda8d09d706b517625b81cff4f663ababa766dac82d4d094c38683d9b170909f6c9

diff --git a/dev-python/pytest-testinfra/pytest-testinfra-10.1.1.ebuild 
b/dev-python/pytest-testinfra/pytest-testinfra-10.1.1.ebuild
new file mode 100644
index 000000000000..382fca67b309
--- /dev/null
+++ b/dev-python/pytest-testinfra/pytest-testinfra-10.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Write unit tests in Python to test actual state of your servers"
+HOMEPAGE="
+       https://github.com/pytest-dev/pytest-testinfra/
+       https://pypi.org/project/pytest-testinfra/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+       dev-python/pytest[${PYTHON_USEDEP}]
+"
+# Ansible is called via its CLI
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               app-admin/ansible
+               dev-python/paramiko[${PYTHON_USEDEP}]
+               dev-python/pywinrm[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x EPYTEST_DESELECT=()
+
+       # This is the only test which actually fails if salt cannot be imported
+       if ! has_version "dev-python/salt[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       test/test_backends.py::test_backend_importables
+               )
+       fi
+
+       epytest
+}
+
+pkg_postinst() {
+       elog "For the list of available connection back-ends and their 
dependencies,"
+       elog "please consult 
https://testinfra.readthedocs.io/en/latest/backends.html";
+}

Reply via email to